@view-transition { navigation: auto; }

@keyframes move-out {
    from { transform: translateX(0%); }
    to { transform: translateX(-100%); }
}

@keyframes move-in {
    from { transform: translateX(100%); }
    to { transform: translateX(0%); }
}

::view-transition-old(root) { animation: 0.5s linear both move-out; }
::view-transition-new(root) { animation: 0.5s linear both move-in; }
